Files & Requests
Get a request
Return the full details of a single request.
GET
/
v1
/
requests
/
{requestId}
Get a request
curl --request GET \
--url https://api.slate.inc/files/v1/requests/{requestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/files/v1/requests/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/files/v1/requests/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterId": "<string>",
"owner": "<string>",
"status": "pending",
"exhibits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhibitOrder": 123,
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"key": "<string>",
"templateIndex": 123,
"fileName": "<string>"
}
],
"templates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"templateReference": "<string>",
"index": 123,
"labelingMode": "numbers",
"templateContext": {
"debtor": "borrower"
},
"pendingDelete": true,
"triggerContext": {
"templateType": "<string>",
"lifecycleStep": "<string>",
"lineOfBusiness": "<string>"
}
}
],
"state": "<string>",
"crid": "<string>",
"priority": 123,
"createdOn": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedBy": "<string>",
"completedOn": "2023-11-07T05:31:56Z",
"rejectedBy": "<string>",
"rejectedOn": "2023-11-07T05:31:56Z",
"processingBy": "<string>",
"processingStartedOn": "2023-11-07T05:31:56Z",
"firmCode": "<string>",
"firmId": "<string>",
"requestedFields": [
{
"templateId": "<string>",
"fields": [
{
"name": "<string>",
"label": "<string>",
"required": true,
"type": "string",
"enumValues": [
"<string>"
],
"description": "<string>",
"displayed": true
}
]
}
],
"filledFields": [
{
"templateId": "<string>",
"fields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"generatedFile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"status": "active",
"uploadStatus": "pending",
"fileName": "<string>",
"crid": "<string>",
"key": "<string>",
"description": "<string>",
"uploadedOn": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"creditorCreationDate": "2023-11-07T05:31:56Z",
"uploadedBy": "<string>",
"lastViewed": "2023-11-07T05:31:56Z",
"lastViewedBy": "<string>",
"lastDownloaded": "2023-11-07T05:31:56Z",
"lastDownloadedBy": "<string>",
"fileType": "<string>",
"metadata": {
"fileRequest": {
"totalSize": 123,
"outputDocuments": [
{
"fileSize": 123,
"isExhibit": true,
"pageOffset": 123
}
]
}
},
"fileAttributes": {
"application/pdf": {
"pageCount": 123,
"textOnlyPageCount": 123,
"imageOnlyPageCount": 123,
"mixedPageCount": 123,
"dpiMin": 123,
"dpiMax": 123
},
"sizeBytes": 123,
"contentType": "<string>"
},
"redactionSummary": {
"latestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestStatus": "pending",
"count": 2,
"latestCreatedOn": "2023-11-07T05:31:56Z",
"latestErrorMessage": "<string>"
}
},
"notes": "<string>"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}Authorizations
Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.
Path Parameters
Query Parameters
Tenant owner for machine-to-machine requests
Response
Request details
Available options:
pending, completed, rejected Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Minimum string length:
1Deprecated: use firmId going forward. The snapshotted service firm code for the firm handling this matter, taken at creation time.
The snapshotted service firm UUID for the firm handling this matter, taken at creation time.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get a request
